Package com.sun.jna.platform

# Class KeyboardUtils

java.lang.Object
com.sun.jna.platform.KeyboardUtils

public class KeyboardUtils extends Object
Provide access to the local keyboard state. Note that this is meaningless on a headless system and some VNC setups.

Author:
  twall

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) static final com.sun.jna.platform.KeyboardUtils.NativeKeyboardUtils`
  `INSTANCE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeyboardUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `isPressed(int keycode)`
  `static boolean`
  `isPressed(int keycode, int location)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INSTANCE

    static final com.sun.jna.platform.KeyboardUtils.NativeKeyboardUtils INSTANCE

- ## Constructor Details

  - ### KeyboardUtils

    public KeyboardUtils()

- ## Method Details

  - ### isPressed

    public static boolean isPressed(int keycode, int location)

  - ### isPressed

    public static boolean isPressed(int keycode)